apiVersion: admissionregistration.k8s.io/v1
kind: MutatingWebhookConfiguration
metadata:
  annotations:
    certificates.kubevirt.io/secret: kubevirt-virt-api-certs
    kubevirt.io/customizer-identifier: bf21a9e8fbc5a3846fb05b4fa0859e0917b2202f
    kubevirt.io/generation: "3"
    kubevirt.io/install-strategy-identifier: 5dc642dcafc20b388aac8893d36db44393e586b9
    kubevirt.io/install-strategy-registry: ""
    kubevirt.io/install-strategy-version: sha256:031a34ff7b451f8588ed2960c576d6a835a749de7c168e88eaec45d180be6a21
  creationTimestamp: "2025-10-29T11:53:49Z"
  generation: 2
  labels:
    app.kubernetes.io/component: compute
    app.kubernetes.io/managed-by: virt-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    kubevirt.io: virt-api-mutator
  name: virt-api-mutator
  resourceVersion: "2228870"
  uid: f2a6ed9a-6dcd-4655-b6f0-e180a9942ec2
webhooks:
- admissionReviewVersions:
  - v1
  - v1beta1
  clientConfig:
    service:
      name: virt-api
      namespace: openshift-cnv
      path: /virtualmachines-mutate
      port: 443
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: virtualmachines-mutator.kubevirt.io
  namespaceSelector: {}
  objectSelector: {}
  reinvocationPolicy: Never
  rules:
  - apiGroups:
    - kubevirt.io
    apiVersions:
    - v1alpha3
    - v1
    operations:
    - CREATE
    - UPDATE
    resources:
    - virtualmachines
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
- admissionReviewVersions:
  - v1
  - v1beta1
  clientConfig:
    service:
      name: virt-api
      namespace: openshift-cnv
      path: /virtualmachineinstances-mutate
      port: 443
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: virtualmachineinstances-mutator.kubevirt.io
  namespaceSelector: {}
  objectSelector: {}
  reinvocationPolicy: Never
  rules:
  - apiGroups:
    - kubevirt.io
    apiVersions:
    - v1alpha3
    - v1
    operations:
    - CREATE
    - UPDATE
    resources:
    - virtualmachineinstances
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
- admissionReviewVersions:
  - v1
  - v1beta1
  clientConfig:
    service:
      name: virt-api
      namespace: openshift-cnv
      path: /migration-mutate-create
      port: 443
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: migrations-mutator.kubevirt.io
  namespaceSelector: {}
  objectSelector: {}
  reinvocationPolicy: Never
  rules:
  - apiGroups:
    - kubevirt.io
    apiVersions:
    - v1alpha3
    - v1
    operations:
    - CREATE
    resources:
    - virtualmachineinstancemigrations
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
- admissionReviewVersions:
  - v1
  - v1beta1
  clientConfig:
    service:
      name: virt-api
      namespace: openshift-cnv
      path: /vm-clone-mutate-create
      port: 443
  failurePolicy: Fail
  matchPolicy: Equivalent
  name: virtualmachineclones-mutator.kubevirt.io
  namespaceSelector: {}
  objectSelector: {}
  reinvocationPolicy: Never
  rules:
  - apiGroups:
    - clone.kubevirt.io
    apiVersions:
    - v1beta1
    operations:
    - CREATE
    resources:
    - virtualmachineclones
    scope: '*'
  sideEffects: None
  timeoutSeconds: 10
